Show / Hide Table of Contents

# AsyncRectTransformDimensionsChangeTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncRectTransformDimensionsChangeTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncRectTransformDimensionsChangeTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnRectTransformDimensionsChangeAsyncHandler() |
GetOnRectTransformDimensionsChangeAsyncHandler(CancellationToken) |
OnRectTransformDimensionsChangeAsync() |
OnRectTransformDimensionsChangeAsync(CancellationToken) |

### Methods

#### GetOnRectTransformDimensionsChangeAsyncHandler()

    public IAsyncOnRectTransformDimensionsChangeHandler GetOnRectTransformDimensionsChangeAsyncHandler()

##### Returns

IAsyncOnRectTransformDimensionsChangeHandler

#### GetOnRectTransformDimensionsChangeAsyncHandler(CancellationToken)

    public IAsyncOnRectTransformDimensionsChangeHandler GetOnRectTransformDimensionsChangeAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnRectTransformDimensionsChangeHandler

#### OnRectTransformDimensionsChangeAsync()

    public UniTask OnRectTransformDimensionsChangeAsync()

##### Returns

UniTask

#### OnRectTransformDimensionsChangeAsync(CancellationToken)

    public UniTask OnRectTransformDimensionsChangeAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>